Will my computer support Mac OS X Mountain Lion ?

Dude General 3 Comments

With over 200 new features, for 19.99 USD you’ll be able to download the latest OS X by apple from the apple Mac Store, supposedly you’ll be able to do that sometime in the afternoon. However, here are the minimum requirements to see if your computer will be able to run OS X Mountain line or if its time for a new Mac  (not that I love macs :P)

“Your Mac must be one of the following models:

  • iMac (Mid 2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)”

Therefore its safe to say if your model is after Mid 2007, whatever it is it should work with the new OS X. For more update instructions please visit here

Comments 3

    1. Post
      Author

      20 bucks for minor tweaks.. It’s not a huge difference and I think it’s as much improvement as they had in the lion upgrade..

Leave a Reply

Your email address will not be published. Required fields are marked *

18 − 16 =